Bug 463425 - .discinfo version and .treeinfo version do not match
.discinfo version and .treeinfo version do not match
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Dennis Gregorovic
Alexander Todorov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-23 08:12 EDT by James Laska
Modified: 2013-09-02 02:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 08:01:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-09-23 08:12:22 EDT
# curl http://porkchop.redhat.com/nightly/RHEL5.3-Server-20080919.nightly/tree-i386/.discinfo

1221803353.466553
Red Hat Enterprise Linux Server 5.3
i386
ALL
Server/base
Server/RPMS
Server/pixmaps


# curl http://porkchop.redhat.com/nightly/RHEL5.3-Server-20080919.nightly/tree-i386/.treeinfo

[general]
family = Red Hat Enterprise Linux Server
timestamp = 1221802175.49
totaldiscs = 1
version = 5
discnum = 1
packagedir = Server
arch = i386

...


Should the fix that changed the .discinfo version should be carried forward into the version in .treeinfo?
Comment 1 Dennis Gregorovic 2008-09-23 10:38:07 EDT
Just to clarify, is this what you would expect in .treeinfo?

[general]
family = Red Hat Enterprise Linux Server
timestamp = 1221802175.49
totaldiscs = 1
version = 5
update = 3
discnum = 1
packagedir = Server
arch = i386

Currently the .treeinfo file is created by anaconda and distill just copies it.  I could add logic to distill to tweak the .treeinfo file, but I would be in favor of making the change in anaconda itself.  What do you think?
Comment 2 James Laska 2008-09-23 10:48:47 EDT
I'd prefer keeping the existing fields (and not adding a new key 'update') ... but I know bpeck may want something different?

[general]
family = Red Hat Enterprise Linux Server
timestamp = 1221802175.49
totaldiscs = 1
version = 5.3

Yeah Dennis, I think you are right in that anaconda should just write the product info that is passed in to builddistro.  Is anaconda mk-images being supplied with the right information in order to write out the version string as noted above?  Or are additional parameters required?
Comment 3 Dennis Gregorovic 2008-09-23 11:01:46 EDT
I pass "--version '5'" to buildinstall.  I could modify that to 5.3 or include a new parameter.  If I just change it to "--version '5.3'" then we _may_ be able to get away without making any changes to buildinstall.  However, I don't know enough about the buildinstall scripts to say if that change would cause breakage elsewhere.
Comment 4 James Laska 2008-09-23 11:40:30 EDT
Adding jgranado@redhat.com as Joel instrumented the anaconda  .treeinfo parsing for RHEL5.2
Comment 5 Joel Andres Granados 2008-09-24 05:14:31 EDT
The "5.3" argument should be fine.  Be aware that you will also be changing the /root/.buildstamp file.
Comment 7 Bill Peck 2009-04-13 11:46:04 EDT
So far rhel5.4 builds are not showing the correct version.  Any ETA on this?

version = 5.4 would be fine
Comment 8 Dennis Gregorovic 2009-04-13 14:36:05 EDT
change checked into distill.
Comment 12 errata-xmlrpc 2009-09-02 08:01:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1400.html

Note You need to log in before you can comment on or make changes to this bug.